Subject: [Ietf-and-github] Propose changing draft-ietf-git-using-github from BCP to Informational

From: "Christopher Wood" <[email-masked]>
Date: Fri, 13 Mar 2020 06:48:30 -0700

During last call, some folks suggested draft-ietf-git-using-github is better suited as an Informational rather than BCP document. This seems like a minor and inconsequential change, though I'd like to hear from the WG to understand if folks object. To that end, if you disagree with this change, can you please let us know why?

Thanks!
Chris

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 14 Mar 2020 08:20:15 +1300

Hi,

I disagree that it is a minor or inconsequential change. It means that it is no longer a set of rules that a WG must follow if they choose to use GitHub. It just becomes some non-binding suggestions.

This has conseqences for the text, starting with the Abstract:

> This document describes best practices ...

needs to be something like

 This document describes suggested guidelines ...

Then delete section 1.5 and lower-case all the RFC2119 keywords, to avoid confusion.

More seriously, we would lose the normative value of this:

>    In addition to Working Group policies, notices on repositories MUST
>    include citations for the IETF Note Well (https://www.ietf.org/about/
>    note-well/).

which really should be mandatory. Also this:

>    All repositories for Working Group documents within the Working Group
>    organization MUST be public.  

I haven't re-read the whole draft. There may be other things as well that are also important and not necessarily implied by RFC2418 already. So I do not agree to the change of proposed status.

Regards
   Brian Carpenter

On 14-Mar-20 02:48, Christopher Wood wrote:
> _______________________________________________
> Ietf-and-github mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-and-github
>

---

From: Mark Nottingham <[email-masked]>
Date: Sat, 14 Mar 2020 08:09:36 +1100

Sent from my iPhone

> On 14 Mar 2020, at 6:20 am, Brian E Carpenter <[email-masked]> wrote:
> 
> Hi,
> 

That is what this group is chartered to produce. 

> Then delete section 1.5 and lower-case all the RFC2119 keywords, to avoid confusion.

That’s already started; see the editors’ copy.

---

From: "Christopher Wood" <[email-masked]>
Date: Fri, 20 Mar 2020 07:34:12 -0700

Hearing little pushback, we're moving forward with this document as informational. We can always re-publish this as a BCP later on should that be deemed necessary.

Thanks,
Chris

---

From: Warren Kumari <[email-masked]>
Date: Fri, 20 Mar 2020 12:03:47 -0400

> Hearing little pushback, we're moving forward with this document as informational. We can always re-publish this as a BCP later on should that be deemed necessary.

I'd like to thank the authors and WG for listening and responding to
comments / concerns. I've just taken the (bizarre) action of updating
my ballot after the telechat has closed, to change from Abstain to No
Objection.
This doesn't change anything (Abstain is non-blocking), but I wanted
to signal that my major source of concern has been addressed, and
that, in my opinion, the process worked.
So, a purely symbolic action, but I felt it was worth doing.

Thank you all,
W

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf